Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-02-16 Assigned To: Karsten Dambekalns
Updated: 2012-02-17 Due date:
Subject: Tweak existing XLIFF files according to translation team feedback
Description

The XLIFF file miss xml:space="preserve", a trans-unit must look like:
<trans-unit id="mlang_labels_tablabel" xml:space="preserve">
  <source>Webpages and databasecontent</source>
</trans-unit>

Each trans unit must have the xml:space="preserve" attribute, this is needed by Pootle to avoid some weird problem.

An other point, please add product-name="package.name" to the file element, we use it for v4 core, and it's sometime useful to have
this information in the XLIFF.

Associated revisions
Revision ca35b1a8 - 2012-02-16 12:19 - Karsten Dambekalns

[TASK] Implement best practices in XLIFF files

Adds some "required" attributes to the XLIFF files.

Change-Id: Ib30f5653197229c5d2062eba2c0020ca6e191216
Resolves: #33975
Releases: 1.1

Revision 97023e77 - 2012-02-16 12:29 - Karsten Dambekalns

[TASK] Implement best practices in XLIFF files

Adds some "required" attributes to the XLIFF files.

Change-Id: Idbe2cf1a057f9be1521b0ab7f4f316d2b2bb88f4
Resolves: #33975
Releases: 1.1

History
#1 - 2012-02-16 12:19 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9048
#2 - 2012-02-16 12:29 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9049

#3 - 2012-02-17 02:47 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ca35b1a8e869a22b99414fe56dc49348747f20f8.
